SUSE: 2022:2851-1 suse/389-ds Security Update | LinuxSecurity.com
SUSE Container Update Advisory: suse/389-ds
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2022:2851-1
Container Tags        : suse/389-ds:2.0 , suse/389-ds:2.0-17.29 , suse/389-ds:latest
Container Release     : 17.29
Severity              : important
Type                  : security
References            : 1190651 1191546 1198980 1201298 1202148 1202870 1204708 1204729
                        CVE-2022-43680 
-----------------------------------------------------------------

The container suse/389-ds was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2022:3870-1
Released:    Fri Nov  4 11:12:08 2022
Summary:     Recommended update for openssl-1_1
Type:        recommended
Severity:    moderate
References:  1190651,1202148
This update for openssl-1_1 fixes the following issues:

- FIPS: Add a missing dependency on jitterentropy-devel for libopenssl-1_1-devel (bsc#1202148)
- FIPS: OpenSSL service-level indicator:  Allow AES XTS 256 (bsc#1190651)

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2022:3873-1
Released:    Fri Nov  4 14:58:08 2022
Summary:     Recommended update for mozilla-nspr, mozilla-nss
Type:        recommended
Severity:    moderate
References:  1191546,1198980,1201298,1202870,1204729
This update for mozilla-nspr, mozilla-nss fixes the following issues:

mozilla-nspr was updated to version 4.34.1:

* add file descriptor sanity checks in the NSPR poll function.

mozilla-nss was updated to NSS 3.79.2 (bsc#1204729):

* Bump minimum NSPR version to 4.34.1.
* Gracefully handle null nickname in CERT_GetCertNicknameWithValidity.

Other fixes that were applied:

- FIPS: Allow the use of DSA keys (verification only) (bsc#1201298).
- FIPS: Add sftk_FIPSRepeatIntegrityCheck() to softoken's .def file
  (bsc#1198980).
- FIPS: Allow the use of longer symmetric keys via the service level indicator
  (bsc#1191546).
- FIPS: Prevent TLS sessions from getting flagged as non-FIPS (bsc#1191546).
- FIPS: Mark DSA keygen unapproved (bsc#1191546, bsc#1201298).
- FIPS: Use libjitterentropy for entropy (bsc#1202870).
- FIPS: Fixed an abort() when both NSS_FIPS and /proc FIPS mode are enabled.

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:3884-1
Released:    Mon Nov  7 10:59:26 2022
Summary:     Security update for expat
Type:        security
Severity:    important
References:  1204708,CVE-2022-43680
This update for expat fixes the following issues:

  - CVE-2022-43680: Fixed use-after free caused by overeager destruction of a shared DTD in XML_ExternalEntityParserCreate (bsc#1204708).


The following package changes have been done:

- libopenssl1_1-1.1.1l-150400.7.13.1 updated
- libopenssl1_1-hmac-1.1.1l-150400.7.13.1 updated
- openssl-1_1-1.1.1l-150400.7.13.1 updated
- libexpat1-2.4.4-150400.3.12.1 updated
- mozilla-nspr-4.34.1-150000.3.26.1 updated
- container:sles15-image-15.0.0-27.14.9 updated

SUSE: 2022:2851-1 suse/389-ds Security Update

November 8, 2022
The container suse/389-ds was updated

Summary

Advisory ID: SUSE-RU-2022:3870-1 Released: Fri Nov 4 11:12:08 2022 Summary: Recommended update for openssl-1_1 Type: recommended Severity: moderate Advisory ID: SUSE-RU-2022:3873-1 Released: Fri Nov 4 14:58:08 2022 Summary: Recommended update for mozilla-nspr, mozilla-nss Type: recommended Severity: moderate Advisory ID: SUSE-SU-2022:3884-1 Released: Mon Nov 7 10:59:26 2022 Summary: Security update for expat Type: security Severity: important

References

References : 1190651 1191546 1198980 1201298 1202148 1202870 1204708 1204729

CVE-2022-43680

1190651,1202148

This update for openssl-1_1 fixes the following issues:

- FIPS: Add a missing dependency on jitterentropy-devel for libopenssl-1_1-devel (bsc#1202148)

- FIPS: OpenSSL service-level indicator: Allow AES XTS 256 (bsc#1190651)

1191546,1198980,1201298,1202870,1204729

This update for mozilla-nspr, mozilla-nss fixes the following issues:

mozilla-nspr was updated to version 4.34.1:

* add file descriptor sanity checks in the NSPR poll function.

mozilla-nss was updated to NSS 3.79.2 (bsc#1204729):

* Bump minimum NSPR version to 4.34.1.

* Gracefully handle null nickname in CERT_GetCertNicknameWithValidity.

Other fixes that were applied:

- FIPS: Allow the use of DSA keys (verification only) (bsc#1201298).

- FIPS: Add sftk_FIPSRepeatIntegrityCheck() to softoken's .def file

(bsc#1198980).

- FIPS: Allow the use of longer symmetric keys via the service level indicator

(bsc#1191546).

- FIPS: Prevent TLS sessions from getting flagged as non-FIPS (bsc#1191546).

- FIPS: Mark DSA keygen unapproved (bsc#1191546, bsc#1201298).

- FIPS: Use libjitterentropy for entropy (bsc#1202870).

- FIPS: Fixed an abort() when both NSS_FIPS and /proc FIPS mode are enabled.

1204708,CVE-2022-43680

This update for expat fixes the following issues:

- CVE-2022-43680: Fixed use-after free caused by overeager destruction of a shared DTD in XML_ExternalEntityParserCreate (bsc#1204708).

The following package changes have been done:

- libopenssl1_1-1.1.1l-150400.7.13.1 updated

- libopenssl1_1-hmac-1.1.1l-150400.7.13.1 updated

- openssl-1_1-1.1.1l-150400.7.13.1 updated

- libexpat1-2.4.4-150400.3.12.1 updated

- mozilla-nspr-4.34.1-150000.3.26.1 updated

- container:sles15-image-15.0.0-27.14.9 updated

Severity
Container Advisory ID : SUSE-CU-2022:2851-1
Container Tags : suse/389-ds:2.0 , suse/389-ds:2.0-17.29 , suse/389-ds:latest
Container Release : 17.29
Severity : important
Type : security

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.